تخطّي إلى المحتوى

Gemini Omni Flash · Reference to Video

التكامل

معرّف النموذج google/gemini-omni-flash/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

هذا الطلب: ≈⁨‏1.282 $⁩ 1,282 رصيد API · ≈ ⁨‏137.92 ₽⁩ تشغيله في هذه الصفحة

الحصول على مفتاح API
Google من مرجع إلى فيديو مدخلات مرجعيةمزامنة الشفاهسريع3–10 ث #stylized#transform#lipsync

فيديو من مطالبة مع 1 إلى 10 صور مرجعية مطلوبة، ووسوم مضمّنة لأدوار الصور في المطالبة

Google · فيديو

ستظهر نتيجتك الأولى هنا

أنشئ طلبًا أدناه وشغّله باستخدام مفتاح API الخاص بك. تُنسخ المخرجات إلى تخزيننا، وتُحفظ إلى الأبد أو لمدة 7 أيام مجانًا.

إنشاء طلب

تُنشأ عناصر التحكم من مخطط النموذج. يتحدّث الرمز والسعر عند تغييرها.

•مطلوب 88 / 20000

وصف فيديو يدعم تعيين الأدوار مضمنًا للصور المرجعية عبر وسوم مثل `<IMAGE_REF_0>`.

•مطلوب image_urls
أفلت ملفًا، أو · حتى 10

عناوين URL للصور المرجعية لإدراجها في الفيديو.

aspect_ratio الافتراضي 16:9

نسبة أبعاد فيديو المخرج.

الافتراضي 8

طول فيديو المخرج، مقاسًا بالثواني.

POST /run/google/gemini-omni-flash/reference-to-video?wait=20 عرض السعر → ⁨‏1.282 $⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

تشغيل هذا الطلب

يبقى مفتاحك في هذا المتصفح: لا يُرسل إلا إلى Doitong API ويُحفظ في localStorage فقط إذا فعّلت خيار التذكّر. الحصول على مفتاح API

حول Gemini Omni Flash · Reference to Video

ينشئ فيديو يستند إلى صور مرجعية مطلوبة: تقبل `image_urls` من 1 إلى 10 عناوين URL. يمكن للمطالبة ربط الصور بأدوار باستخدام وسوم مضمّنة مثل <IMAGE_REF_0>. نسبة عرض الإخراج 16:9 أو 9:16 والمدة من 3 إلى 10 ثوانٍ (الافتراضي 8). لا يحتوي على إعداد للدقة ولا يقبل فيديوهات مرجعية.

المعاملات

أرسل الاسم الأساسي أو الاسم الأصلي، وليس كليهما. الأسماء الأساسية

الاسمالنوع الافتراضيمسموح الوصف
promptمطلوب
النوعstring
≤ 20,000 حرف
وصف فيديو يدعم تعيين الأدوار مضمنًا للصور المرجعية عبر وسوم مثل `<IMAGE_REF_0>`.
image_urlsمطلوب images
النوعurl[] · image
≤ 10 عناصر
عناوين URL للصور المرجعية لإدراجها في الفيديو.
aspect_ratioاختياري
النوعenum
الافتراضي16:9
16:99:16
نسبة أبعاد فيديو المخرج.
durationاختياري
النوعinteger
الافتراضي8
3 – 10
طول فيديو المخرج، مقاسًا بالثواني.
مطلوب الاسم الأساسي، مقبول أيضًا

تقبل معاملات الملفات عنوان URL عامًا يبدأ بـ https://، أو URI من نوع data: يصل حجمه إلى 10 MB، أو file_url لملف تم تحميله. الملفات

المخرجات

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1282,
    "usd": "1.282",
    "charged": 1282,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ملفاتك، خيارككل outputs[].url هو نسخة على تخزيننا: تُحفظ إلى الأبد (مع الدفع لكل غيغابايت-شهر) أو لمدة 7 أيام مجانًا، وفق إعداد حسابك أو ?storage=.
البنية نفسها في كل نموذجtype وurl وcontent_type وwidth وheight وduration للصور والفيديو والصوت على حد سواء. output هو كائن النتائج الخاص بالنموذج.
حقول المخرجات
video
object {url, content_type, file_name, file_size}الفيديو الذي أنتجه النموذج.

مزيد من النماذج: من مرجع إلى فيديو

لوكلاء الذكاء الاصطناعي: تتوفر هذه الصفحة بصيغة Markdown على https://doitong.com/ar/developers/models/google/gemini-omni-flash/reference-to-video.md. جميع النماذج والأدلة: https://doitong.com/developers/llms.txt